Name:           ocaml-ppx-fixed-literal
Version:        0.17.0
Release:        %autorelease
Summary:        Simpler notation for fixed point literals

License:        MIT
URL:            https://github.com/janestreet/ppx_fixed_literal
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/ppx_fixed_literal-%{version}.tar.gz

# OCaml packages not built on i686 since OCaml 5 / Fedora 39.
ExcludeArch:    %{ix86}

BuildRequires:  ocaml >= 5.1.0
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0

%description
A ppx rewriter that rewrites fixed point literals of the form 1.0v to
conversion functions currently in scope.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n ppx_fixed_literal-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%license LICENSE.md

%files devel -f .ofiles-devel

%changelog
%autochangelog
